OGRE: Ogre::ResourceBackgroundQueue::Listener Class Reference - OGRE Documentation

Public Member Functions

# Ogre::ResourceBackgroundQueue::Listener Class Reference

This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses. More...

`#include <OgreResourceBackgroundQueue.h>`

List of all members.

## Public Member Functions
virtual void | operationCompleted (BackgroundProcessTicket ticket, const BackgroundProcessResult &result)=0
| Called when a requested operation completes, queued into main thread.
virtual | ~Listener ()
| Need virtual destructor in case subclasses use it.

## Detailed Description

This abstract listener interface lets you get notifications of completed background processes instead of having to poll ticket statuses.

Note:
  For simplicity, these callbacks are not issued direct from the background loading thread, they are queued themselves to be sent from the main thread so that you don't have to be concerned about thread safety.

Definition at line 92 of file OgreResourceBackgroundQueue.h.

## Constructor & Destructor Documentation

virtual Ogre::ResourceBackgroundQueue::Listener::~Listener | ( |  | ) | `[virtual]`

Need virtual destructor in case subclasses use it.

Definition at line 103 of file OgreResourceBackgroundQueue.h.

## Member Function Documentation

virtual void Ogre::ResourceBackgroundQueue::Listener::operationCompleted | ( | BackgroundProcessTicket | ticket,
|  | const BackgroundProcessResult & | result |
| ) |  |  | `[pure virtual]`

Called when a requested operation completes, queued into main thread.

Note:
  For simplicity, this callback is not issued direct from the background loading thread, it is queued to be sent from the main thread so that you don't have to be concerned about thread safety.

The documentation for this class was generated from the following file:

- OgreResourceBackgroundQueue.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59